coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] tests: avoid spurious failure when SIZE_MAX is 2^32-1


From: Jim Meyering
Subject: [PATCH] tests: avoid spurious failure when SIZE_MAX is 2^32-1
Date: Mon, 27 May 2013 04:04:57 +0200

FYI, this avoids another 32-bit (small SIZE_MAX, actually) test failure:

>From 2b4c6ebeaafbdf48df4162c1991452bcb5d7b5cf Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Sun, 26 May 2013 18:56:50 -0700
Subject: [PATCH] tests: avoid spurious failure when SIZE_MAX is 2^32-1

* tests/split/line-bytes.sh: Since we've limited virtual memory to
20MB, choose a smaller size, 1GiB (which is <= SIZE_MAX) rather than
1EiB, which is larger than SIZE_MAX on 32-bit systems.
I confirmed that this test still fails when the split.c-modifying
part of v8.21-58-gfec363c is backed out.
---
 tests/split/line-bytes.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/split/line-bytes.sh b/tests/split/line-bytes.sh
index c58f12b..2beae81 100755
--- a/tests/split/line-bytes.sh
+++ b/tests/split/line-bytes.sh
@@ -22,7 +22,7 @@ require_ulimit_v_


 # Ensure memory is not allocated up front
-(ulimit -v 20000; split -C 'E' /dev/null) || fail=1
+(ulimit -v 20000; split -C 'G' /dev/null) || fail=1


 # Ensure correct operation with various split and buffer size combinations
--
1.8.3



reply via email to

[Prev in Thread] Current Thread [Next in Thread]